create_helix#

Modeler3D.create_helix(polyline_name, position, x_start_dir, y_start_dir, z_start_dir, num_thread=1, right_hand=True, radius_increment=0.0, thread=1)[source]#

Create an helix from a polyline.

Parameters:
polyline_namestr

Name of the polyline used as the base for the helix.

positionlist

List of [x, y, z] coordinates for the center point of the circle.

x_start_dirfloat

Distance along x axis from the polyline.

y_start_dirfloat

Distance along y axis from the polyline.

z_start_dirfloat

Distance along z axis from the polyline.

num_threadint, optional

Number of turns. The default value is 1.

right_handbool, optional

Whether the helix turning direction is right hand. The default value is True.

radius_incrementfloat, optional

Radius change per turn. The default value is 0.0.

threadfloat
Returns:
pyaedt.modeler.cad.object3d.Object3d

3D object.

References

>>> oEditor.CreateHelix